# Changelog

All notable changes to this project will be documented in this file.

The format is based on [Keep a Changelog](https://keepachangelog.com/en/1.1.0/),
and this project adheres to [Semantic Versioning](https://semver.org/spec/v2.0.0.html).

## [Unreleased]

### Added

- Debug environment variable flag

### Changed

- Log level dependent on the debug flag

## [0.0.3] - 2024-12-09

### Added

- A Database for storing user data, such as connection state and deaths.
- Better file handlers for reading log files.
- More cogs for dedicated purposes (players, console, commands, activity).

### Fixed

- "User has connected/disconnected" alert on player death.

### Changed

- Streamlined ways of reading from server log files.
- Improved embeds for users connecting and disconnecting from the server.

## [0.0.2] - 2024-12-07

### Added

- Commands for accessing remote console.
- Shorthand commands for commonly used rcon commands.
- Online user count that is automatically updated and set as the bot's activity presence.
- Console reader for handling events in-game.
- Announce when user has joined/left the server.
- Mod update checker and manager, with announcements for server restart.

## [0.0.1] - 2024-12-06

### Added

- Initial project files and repository